curl --request POST \
--url https://app.famulor.io/api/v1/qa/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_at": "2023-11-07T05:31:56Z",
"to_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"assistant_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"filters": {
"min_duration_sec": 1,
"max_duration_sec": 1,
"directions": [],
"statuses": [
"<string>"
],
"sentiments": [],
"success": true,
"campaign_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"has_recording": true
},
"resolution_criteria": "<string>"
}
'import requests
url = "https://app.famulor.io/api/v1/qa/runs"
payload = {
"from_at": "2023-11-07T05:31:56Z",
"to_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"assistant_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"filters": {
"min_duration_sec": 1,
"max_duration_sec": 1,
"directions": [],
"statuses": ["<string>"],
"sentiments": [],
"success": True,
"campaign_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"has_recording": True
},
"resolution_criteria": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_at: '2023-11-07T05:31:56Z',
to_at: '2023-11-07T05:31:56Z',
name: '<string>',
assistant_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
filters: {
min_duration_sec: 1,
max_duration_sec: 1,
directions: [],
statuses: ['<string>'],
sentiments: [],
success: true,
campaign_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
has_recording: true
},
resolution_criteria: '<string>'
})
};
fetch('https://app.famulor.io/api/v1/qa/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create QA run
Start a cohort QA analysis for a pack and date range. Consumes credits. Required scope: calls:write.
Authorizations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). REST operations also require API Access for the credential's workspace. Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, loop:read, loop:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access within the workspace's available capabilities.
Body
full, language_hallucinations, resolution_sentiment, performance_trends Optional cohort display name
120Show child attributes
Show child attributes
What counts as a successful resolution for this cohort
4000Response
Created